glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
Glib::Value< T* > Class Template Reference
Generic Values

Specialization for pointers to instances of any type. More...

`#include <glibmm/value_custom.h>`

Inheritance diagram for Glib::Value< T * >:
[legend]

## Additional Inherited Members

Public Types inherited from Glib::Value_Pointer< T, T* >
typedef T* | CppType
typedef void* | CType
Public Member Functions inherited from Glib::Value_Pointer< T, T* >
void | set (CppType data)
CppType | get () const
Static Public Member Functions inherited from Glib::Value_Pointer< T, T* >
static GType | value_type ()
Protected Member Functions inherited from Glib::ValueBase_Object
void | set_object (Glib::ObjectBase* data)
Glib::ObjectBase* | get_object () const
Glib::RefPtr< Glib::ObjectBase > | get_object_copy () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Detailed Description

### template<class T>
class Glib::Value< T * >

Specialization for pointers to instances of any type.

No attempt is made to manage the memory associated with the pointer, you must take care of that yourself.